function Fah(){Nfd.call(this)}
function wah(a,b,d,e){wGd.call(this,a,b,d);this.a=e}
function Wgh(a){var b;if(!a.k){b=new Dah((y1i(dee(a.a)),woj(fee(a.a))));a.k=b}return a.k}
function Vgh(a){var b;if(!a.j){b=new wah(GFd(zce(a.a)),Wgh(a),Ugh(a),AMg(tde(a.a)));SFd((Ace(a.a),b),PGd(Ace(a.a)));a.j=b}return a.j}
function Dah(){aAf.call(this,m3b);this.a=new ZAf(m3b,this);this.o="Provides translation services for physical sources, which can be integrated using a Teiid's VDB"}
E3c(4518,1013,Pyj,wah);_.Ui=function(){};_.Zi=function(){this.A.Cr()};_.bj=function(){Gvf(this.a,this)};E3c(4521,2874,Qzj,Dah);_.Ch=function(){return Uzf(this)};_.zr=function(){return this.a};_.Ar=function(){return Q6j};_.Er=function(){var a;a=new p_f(this.n);y1d(a,_Gj,t1d(sM(F2c,Ixj,263,[q1i(V0i(this.r,eBj),sM(c2c,Ixj,235,[])),q1i(V0i(this.r,dZj),sM(c2c,Ixj,235,[]))])));return a};_.Ir=function(){var a,b;b=new Qrg(5);A7c(b,new C3g,wIj);a=new Fah;O7c(b,b.u.b,a,new Pfd(MZj));return b};E3c(4522,677,xyj,Fah);_.rd=function(a){return a.nL()};E3c(4589,1,vzj);_.ud=function(){oHd(this.b,Vgh(this.a.a))};var c2b=iOd(4518),e2b=iOd(4521),d2b=iOd(4522);hAj(np)(18);